Loading...
Searching...
No Matches
BALL::VIEW::ContourSurfaceDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/contourSurfaceDialog.h>`

Inheritance diagram for BALL::VIEW::ContourSurfaceDialog:

## Public Slots

virtual int | exec ()

## Public Member Functions

| ContourSurfaceDialog (QWidget *parent=0, const char *name="ContourSurfaceDialog")
| ~ContourSurfaceDialog ()
void | setGrid (Dataset *grid)
Dataset * | getGrid ()
double | getThreshold () const
void | setController (DatasetController *controller)
ColorRGBA | getColor ()

## Protected Slots

virtual void | valuesChanged ()
virtual void | chooseColor ()

## Detailed Description

Dialog for creating contour surfaces from RegularData3D

Definition at line 27 of file contourSurfaceDialog.h.

## Constructor & Destructor Documentation

## ContourSurfaceDialog()

BALL::VIEW::ContourSurfaceDialog::ContourSurfaceDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "ContourSurfaceDialog" )

## ~ContourSurfaceDialog()

BALL::VIEW::ContourSurfaceDialog::~ContourSurfaceDialog | ( |  | ) |

## Member Function Documentation

## chooseColor

virtual void BALL::VIEW::ContourSurfaceDialog::chooseColor | ( |  | ) |

protected virtual slot

## exec

virtual int BALL::VIEW::ContourSurfaceDialog::exec | ( |  | ) |

virtual slot

## getColor()

ColorRGBA BALL::VIEW::ContourSurfaceDialog::getColor | ( |  | ) |

## getGrid()

Dataset * BALL::VIEW::ContourSurfaceDialog::getGrid | ( |  | ) |

## getThreshold()

double BALL::VIEW::ContourSurfaceDialog::getThreshold | ( |  | ) | const

## setController()

void BALL::VIEW::ContourSurfaceDialog::setController | ( | DatasetController * | controller | ) |

inline

Definition at line 40 of file contourSurfaceDialog.h.

## setGrid()

void BALL::VIEW::ContourSurfaceDialog::setGrid | ( | Dataset * | grid | ) |

## valuesChanged

virtual void BALL::VIEW::ContourSurfaceDialog::valuesChanged | ( |  | ) |

protected virtual slot